apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    name: transmission-ingress
    namespace: home-stuff
    annotations:
        kubernetes.io/ingress.class: nginx
        cert-manager.io/issuer: vault-issuer
        cert-manager.io/common-name: transmission.k3s.local
spec:
    rules:
        - host: ENC[AES256_GCM,data:E0G5sLy29WxEeh/BNqDbFommEmgRlw==,iv:j4g5lYnNQnzrSGNgXAMZv0+X37EKgR2QQAX0mWC/l+0=,tag:XZwViXnUvsjG7MY3MxwkbQ==,type:str]
          http:
            paths:
                - path: ENC[AES256_GCM,data:7A==,iv:MpwxDsH2Su4YNqWoCIOicWTUCoQUckvWSt5vs15K2mY=,tag:hAZxBT5R17r7M5h1w+m5fw==,type:str]
                  pathType: ENC[AES256_GCM,data:Sjs9jyHX,iv:ZFn8vbW25MALS2AsXmvzSahOc+DqjqLnGkylxIX4u/w=,tag:8xOWPuZXND1sLSWQjvwBMw==,type:str]
                  backend:
                    service:
                        name: ENC[AES256_GCM,data:PdFPwOaJNgF0QAlp,iv:yxtybu74Yn012STXdpKMgd13SolDAv6nQOWiWmk1iN4=,tag:YR0UF6trwSMz6iqFYnSRNA==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:ENDZUw==,iv:JgXK774Pee0vSa3jIXOm7o3fmYMQDzgQgXt3djP1jbI=,tag:iS2vpT2pl+IYSeipdN5NTw==,type:int]
    #ENC[AES256_GCM,data:niNDS0+Jq0ZFomLX+KVui1J7RArnQJGh6e/Ea7uqXA0CWVu0e9vW8hesN1IU8pTBlRBZ0JMhhCpBwm8XSY9miYsJcRf+8kHS1KZDkSlV4sm+yjNCiFcXgCeQc7ht,iv:IsZG5C96OBkk3oOThevzOLCHb7XIcraiKXoaqM8KBDY=,tag:5JZfJpbgtolg0pLiyVkkXw==,type:comment]
    tls:
        - hosts:
            - ENC[AES256_GCM,data:1Nfm2pEZMzSE93xur3836pODK5aN5g==,iv:7m76vq64j+gJKhQZXSNNktxHusmDuKg8cjji2uXd4Lo=,tag:/iHlYfV8NttWrTRZa4rkew==,type:str]
          secretName: ENC[AES256_GCM,data:UbuG7V4tid/W/ihBS5sgobttXVLX,iv:+Ky4dp4sG+gI0zLkGd9UoNDREbI0scblEmc1IpnWuu0=,tag:jmK/YUK+kj9eag2l3psiJw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSA5QS9XS3JHbnNqUmI2eS9Z
            UE9KM0doelJxM3dNYjVIcno5OUJGMzFaTUFJCkZWMTUxbHdDaVMyQWVzWHQ1bGFC
            d25jekJTVklka1Jqek1MUUxvQVZzWncKLS0tIFdYN2JsQjRNdDNFdk16akhBaHJt
            WktkN0xFMFFtcEJMZnZVaEliU3ZZb28KqdXxAUoW1A46Bdc7qdUaeJT4c0E+DWet
            5hNif8HlZOgWrlRD7gr/nG2NJBG/rXqGZqOQqBf8MSjkafFCttAThw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:12Z"
    mac: ENC[AES256_GCM,data:34RKiGJkcTER9pj8xy1k82o/3ZQ8uK8c/qxl7KrMaMJCzhk0lzP/tVYMKYs3Ol+ZOVw8dszg+Hg0mhMuBTpHbHvHx9ix9IU/672eDxEqvKNihNSKidbNogYPS1LJDj9s2z2R7jrGg2r1baH2OwLGKDGFzNUi0YikCijuWjojEAg=,iv:YaijhTT9PsLtHq37Jf9xt2hBDWAnrLyfB4o/+rz5AEw=,tag:hJF/zx+tas0M6YaTFM/tGA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
